[Distutils] Changes in RPM affecting Distutils

Mark W. Alexander mwa at anonymoose.net
Tue Oct 28 13:08:30 EST 2003


On Tue, 28 Oct 2003 amk at amk.ca wrote:

> Well, we need to come to some decision on this, but it's not clear how.
> Should we ask Guido, or python-dev, or the PBF?  Should we vote on it?
>
> If it's up to the Distutils maintainer -- and I'm probably the closest
> approximation at this time -- then I would say 2.0; MAL's arguments are
> convincing to me, even though personally I'd find 2.3 more convenient.

This satisfies my concerns. I think it should be generally accepted that
Distutils needs to support the current version of Python - X for all the
reasons discussed. Maybe X will vary and we have to think it through
each release, or X can be static and define the cut-off that package
authors have to commit to to leverage Distutils.

Forcing X<=1, however, would be a bad idea.

mwa
-- 
Mark W. Alexander
slash at dotnetslash.net



More information about the Distutils-SIG mailing list